<!--section-->
<section>
    <div class="container">
        <div class="row">
            <!--left-section-->
            <div class="col-md-3">
                <div class="cate-sec">
                    <h1 class="title"><i class="resource-icon"></i>Video & Resources <a class="expand collaps" id="mexpand" href="#"></a></h1>

                    <div class="mobile-expand">
                        <!-- <div class="col-sm-9"> -->
                            <input type="text" placeholder="Search" class="form-control searchfield rounded resources_search pull-right" data-category-name="<%= @category_name %>">
                        <!-- </div>
                        <p class="blue-text margin-bottom-10 category_title">Categories</p>
                        <ul>
                            <% @categories.each do |category| %>
                                <li class="category_list" data-id="<%= category.id %>"><a href="javascript:void(0)"><%= category.category_name %></a></li>
                            <% end %>
                        </ul>-->
                    </div>
                </div>
                <div class="cate-sec resource_cat">
                    <p class="blue-text margin-bottom-10 category_title">Categories</p>
                    <ul>
                        <% @categories.each do |category| %>
                            <li class="category_list" data-id="<%= category.id %>"><a href="javascript:void(0)"><%= category.category_name %></a></li>
                        <% end %>
                    </ul>
                </div>
            </div>
            <!--/left-section-->
            <!--middle-section-->
            <input type="hidden" name="current_view" id="current_view" value="list"/>
            <input type="hidden" name="list_order_by" id="list_order_by" value="type"/>
            <input type="hidden" name="search_key" id="search_key" value=""/>
            <input type="hidden" name="category_val" id="category_val" value="<%= @category_name %>"/>
            <div class="video_listing">
                <%= render partial: 'video_listing', locals: { '@videos': @videos, '@category_name': @category_name } %>
            </div>
            <!--/middle-section-->
        </div>
    </div>
</section>
                    <!--/section-->
<script>
    $(document).ready(function(){
        $('.category_list a').removeClass('active')
        // Commented on 6 Nov

        // $('.category_list a').each(function(){
        //     if($(this).text() == "<%= @category_name %>"){
        //         $(this).parent().addClass('active')
        //     }
        //     // }else{
        //     //     console.log('2');
        //     //     $('.category_list').first().addClass('active')
        //     // }
        // })

        // Changed on 6 Nov
        $('.category_list').each(function(){
            var name1 = <%= @category_id %>;
            var name2 = $(this).data('id')
            if(name1 == name2){
                $(this).addClass('active')
            }
            // }else{
            //     console.log('2');
            //     $('.category_list').first().addClass('active')
            // }
        })
    })
</script>
